VPATH += $(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/src
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/DCW/drv/$(CONFIG_CHIP)/inc
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C += $(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/src/hv_drv_DpuCommon.c
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C += $(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/src/hv_drv_DpuMainScaler.c
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C += $(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/src/hv_drv_DpuMainMute.c
ifeq ($(CONFIG_USER_DOUBLE_CHANNEL), DOUBLE_CHANNEL_ON)
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C += $(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/src/hv_drv_DpuSubScaler.c
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C += $(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/src/hv_drv_DpuSubMute.c
endif
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C_NODIR = $(notdir $(OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C))
OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C_O = $(OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C_NODIR:%.c=%.o)
DRIVER_TARGET_O += $(OBJ_DRIVER_DPU_SCALER_DRV_HT7315_C_O)
